%define upstream_name pdfminer

Name:           python-%{upstream_name}
Version:        20160614
Release:        %mkrel 2
Summary:        PDF parser and analyzer
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pdfminer.six
Source0:        https://github.com/goulu/pdfminer/archive/%{version}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
PDFMiner is a tool for extracting information from PDF documents. Unlike other
PDF-related tools, it focuses entirely on getting and analyzing text data.
PDFMiner allows to obtain the exact location of texts in a page, as well as
other information such as fonts or lines. It includes a PDF converter that can
transform PDF files into other text formats (such as HTML). It has an
extensible PDF parser that can be used for other purposes instead of text
analysis.

%package -n     python3-%{upstream_name}
Summary:        PDF parser and analyzer for Python 3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{upstream_name}
PDFMiner is a tool for extracting information from PDF documents. Unlike other
PDF-related tools, it focuses entirely on getting and analyzing text data.
PDFMiner allows to obtain the exact location of texts in a page, as well as
other information such as fonts or lines. It includes a PDF converter that can
transform PDF files into other text formats (such as HTML). It has an
extensible PDF parser that can be used for other purposes instead of text
analysis.

This is the Python 3 version of the package.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py2_build

%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/dumppdf.py %{buildroot}%{_bindir}/python3-dumppdf.py
mv %{buildroot}%{_bindir}/latin2ascii.py %{buildroot}%{_bindir}/python3-latin2ascii.py
mv %{buildroot}%{_bindir}/pdf2txt.py %{buildroot}%{_bindir}/python3-pdf2txt.py

%py2_install

%files
%{_bindir}/dumppdf.py
%{_bindir}/latin2ascii.py
%{_bindir}/pdf2txt.py
%{python2_sitelib}/pdfminer
%{python2_sitelib}/pdfminer.six-%{version}-*.egg-info

%files -n python3-%{upstream_name}
%{_bindir}/python3-dumppdf.py
%{_bindir}/python3-latin2ascii.py
%{_bindir}/python3-pdf2txt.py
%{python3_sitelib}/pdfminer
%{python3_sitelib}/pdfminer.six-%{version}-*.egg-info


%changelog
* Sat Jan 14 2017 daviddavid <daviddavid> 20160614-2.mga6
+ Revision: 1081593
- add Python3 support
- use new python macros

* Sat Jan 14 2017 zezinho <zezinho> 20160614-1.mga6
+ Revision: 1081575
- new version 20160614

* Sat Jan 09 2016 guillomovitch <guillomovitch> 20151013-1.mga6
+ Revision: 920719
- new version 20151013

* Wed Oct 15 2014 umeabot <umeabot> 20140328-4.mga5
+ Revision: 751267
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20140328-3.mga5
+ Revision: 729313
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 20140328-2.mga5
+ Revision: 688208
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 guillomovitch <guillomovitch> 20140328-1.mga5
+ Revision: 673235
- new version 20140328

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 20110515-3.mga4
+ Revision: 544067
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 20110515-2.mga4
+ Revision: 499111
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 20110515-1.mga4
+ Revision: 468887
- imported package python-pdfminer

